import { CodeNode, ApiPathInfo } from '@esydoc/share';
declare function genTryGetFnCode(): string;
declare function genResolveFnExcuteResultCode(): string;
declare module ApiCallNode {
    type ExtraOptions = {
        pathPrefix: string;
        deps?: string[];
    } & ApiPathInfo;
}
declare class ApiCallNode extends CodeNode {
    static genTryGetFnCode: typeof genTryGetFnCode;
    static genResolveFnExcuteResultCode: typeof genResolveFnExcuteResultCode;
    path: string;
    name: string;
    pathPrefix: string;
    deps: string[];
    id: number;
    constructor(options: ApiCallNode.ExtraOptions);
    get fullPath(): string;
    generate(): string;
}
export default ApiCallNode;
